Activity log for bug #1307746

Date Who What changed Old value New value Message
2014-04-14 23:30:22 Leo Milano bug added bug
2014-04-14 23:33:09 Leo Milano attachment added Apport crash report from /var/crash https://bugs.launchpad.net/ubuntu/+source/pitivi/+bug/1307746/+attachment/4083897/+files/_usr_bin_pitivi.1002.crash
2014-04-14 23:39:55 Leo Milano description I just upgraded to Kubuntu 12.04 yesterday, and pitivi stopped working. It segfaults immediately, with the following stdout error: lmilano@grisell:crash$ pitivi Missing soft dependency: - pycanberra not found on the system -> enables sound notifications when rendering is complete Segmentation fault (core dumped) Apport is not popping up, even if I launch pitivi from the main menu in KDE. But it did, just once, and it dumped a report in /var/crash I will try to upload that file manually. I just upgraded to Kubuntu 14.04 (Trusty) yesterday, and pitivi stopped working. It segfaults immediately, with the following stdout error: lmilano@grisell:crash$ pitivi Missing soft dependency: - pycanberra not found on the system     -> enables sound notifications when rendering is complete Segmentation fault (core dumped) Apport is not popping up, even if I launch pitivi from the main menu in KDE. But it did, just once, and it dumped a report in /var/crash - I will try to upload that file manually.
2014-04-14 23:58:51 Jeff Fortin Tam bug watch added https://bugzilla.gnome.org/show_bug.cgi?id=727851
2014-04-14 23:58:51 Jeff Fortin Tam bug task added pitivi
2014-04-15 00:25:09 Bug Watch Updater pitivi: status Unknown Confirmed
2014-04-15 00:25:09 Bug Watch Updater pitivi: importance Unknown Critical
2014-04-30 05:43:45 Launchpad Janitor pitivi (Ubuntu): status New Confirmed
2014-05-03 03:00:12 CPKS bug added subscriber CPKS
2014-05-13 17:55:56 Vincas Dargis bug added subscriber Vincas Dargis
2014-07-01 05:00:45 Mantas Kriaučiūnas bug added subscriber Mantas Kriaučiūnas
2014-07-01 05:01:56 Mantas Kriaučiūnas bug added subscriber Baltix GNU/Linux system developers
2014-07-16 01:59:34 Gunnar Hjalmarsson pitivi (Ubuntu): importance Undecided Critical
2014-07-16 02:03:30 Gunnar Hjalmarsson pitivi (Ubuntu): importance Critical High
2014-07-16 02:12:01 Gunnar Hjalmarsson bug added subscriber Gunnar Hjalmarsson
2014-10-03 03:08:18 Bug Watch Updater pitivi: status Confirmed Expired
2014-10-06 07:01:12 Timo Jyrinki attachment added workaround_crash_in_non_gnomeshell.patch https://bugs.launchpad.net/ubuntu/+source/pitivi/+bug/1307746/+attachment/4226159/+files/workaround_crash_in_non_gnomeshell.patch
2014-10-06 08:03:58 Timo Jyrinki description I just upgraded to Kubuntu 14.04 (Trusty) yesterday, and pitivi stopped working. It segfaults immediately, with the following stdout error: lmilano@grisell:crash$ pitivi Missing soft dependency: - pycanberra not found on the system     -> enables sound notifications when rendering is complete Segmentation fault (core dumped) Apport is not popping up, even if I launch pitivi from the main menu in KDE. But it did, just once, and it dumped a report in /var/crash - I will try to upload that file manually. [Impact] Some users are unable to start Pitivi on 14.04 LTS, because of a crasher. [Test Case] Start pitivi on affected computer. [Regression Potential] The suggested patch that fixes the problem changes the load order in python, which seem fragile then. However at least testing on one computer that did not have the crash originally, the fix doesn't break anything either. --- I just upgraded to Kubuntu 14.04 (Trusty) yesterday, and pitivi stopped working. It segfaults immediately, with the following stdout error: lmilano@grisell:crash$ pitivi Missing soft dependency: - pycanberra not found on the system     -> enables sound notifications when rendering is complete Segmentation fault (core dumped) Apport is not popping up, even if I launch pitivi from the main menu in KDE. But it did, just once, and it dumped a report in /var/crash - I will try to upload that file manually.
2014-10-06 08:24:34 Ubuntu Foundations Team Bug Bot tags patch
2014-10-06 14:56:32 Gunnar Hjalmarsson bug added subscriber Timo Jyrinki
2014-10-07 04:43:54 Bug Watch Updater pitivi: status Expired Fix Released
2014-10-08 16:14:47 Iain Lane nominated for series Ubuntu Trusty
2014-10-08 16:14:47 Iain Lane bug task added pitivi (Ubuntu Trusty)
2014-10-08 16:14:59 Iain Lane pitivi (Ubuntu): status Confirmed Fix Released
2014-10-08 16:15:15 Iain Lane pitivi (Ubuntu Trusty): assignee Timo Jyrinki (timo-jyrinki)
2014-10-09 07:04:02 Timo Jyrinki pitivi (Ubuntu Trusty): status New In Progress
2014-10-09 07:13:37 Timo Jyrinki branch linked lp:~timo-jyrinki/ubuntu/trusty/pitivi/backport_utopic_fixes
2014-10-10 04:10:21 Timo Jyrinki description [Impact] Some users are unable to start Pitivi on 14.04 LTS, because of a crasher. [Test Case] Start pitivi on affected computer. [Regression Potential] The suggested patch that fixes the problem changes the load order in python, which seem fragile then. However at least testing on one computer that did not have the crash originally, the fix doesn't break anything either. --- I just upgraded to Kubuntu 14.04 (Trusty) yesterday, and pitivi stopped working. It segfaults immediately, with the following stdout error: lmilano@grisell:crash$ pitivi Missing soft dependency: - pycanberra not found on the system     -> enables sound notifications when rendering is complete Segmentation fault (core dumped) Apport is not popping up, even if I launch pitivi from the main menu in KDE. But it did, just once, and it dumped a report in /var/crash - I will try to upload that file manually. [Impact] Some users, mostly users who have installed more software like eg. GStreamer codecs needed for common formats, are unable to start Pitivi on 14.04 LTS, because of a crasher. [Test Case] Start pitivi on affected computer. [Regression Potential] The original single patch fixed the issue but caused another window to pop up behind the Pitivi window, which was a regression for fresh install users. The new patch set both fixes the crasher and improves the overall Pitivi usage like timeline drawing without regressions. --- I just upgraded to Kubuntu 14.04 (Trusty) yesterday, and pitivi stopped working. It segfaults immediately, with the following stdout error: lmilano@grisell:crash$ pitivi Missing soft dependency: - pycanberra not found on the system     -> enables sound notifications when rendering is complete Segmentation fault (core dumped) Apport is not popping up, even if I launch pitivi from the main menu in KDE. But it did, just once, and it dumped a report in /var/crash - I will try to upload that file manually.
2014-10-10 04:10:29 Timo Jyrinki bug added subscriber Ubuntu Stable Release Updates Team
2014-10-10 04:10:38 Timo Jyrinki summary pitivi crashed with SIGSEGV in __GI___pthread_mutex_lock() [SRU] pitivi crashed with SIGSEGV in __GI___pthread_mutex_lock()
2014-10-13 00:47:07 Jeff Fortin Tam bug watch added https://bugzilla.gnome.org/show_bug.cgi?id=738078
2014-10-20 19:04:31 Chris J Arges pitivi (Ubuntu Trusty): status In Progress Fix Committed
2014-10-20 19:04:34 Chris J Arges bug added subscriber SRU Verification
2014-10-20 19:04:37 Chris J Arges tags patch patch verification-needed
2014-10-20 19:49:38 Launchpad Janitor branch linked lp:ubuntu/trusty-proposed/pitivi
2014-10-21 05:24:48 Gunnar Hjalmarsson tags patch verification-needed patch verification-done
2014-10-21 13:22:08 Mantas Kriaučiūnas bug added subscriber Paulius Brazaitis
2014-10-28 13:41:20 Launchpad Janitor pitivi (Ubuntu Trusty): status Fix Committed Fix Released
2014-10-28 13:41:26 Chris J Arges removed subscriber Ubuntu Stable Release Updates Team